org.tmatesoft.svn.core.wc

## Class SVNDiffOptions

- java.lang.Object
- - org.tmatesoft.svn.core.wc.SVNDiffOptions

    public class SVNDiffOptions
    extends java.lang.Object

The SVNDiffOptions class is used to contain some rules for controlling the result of comparing two files. Such rules are used in diff/merge/annotate operations when it's necessary to say whether a file should be or should not be considered as changed.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

### Constructor Summary

Constructors
Constructor and Description
`SVNDiffOptions()` Creates a new diff options object.
`SVNDiffOptions(boolean ignoreAllWhitespace, boolean ignoreAmountOfWhiteSpace, boolean ignoreEOLStyle)` Creates a new diff options object.

### Method Summary

Methods
`boolean` `isIgnoreAllWhitespace()` Says whether all whitespaces must be ignored while comparing files.
`boolean` `isIgnoreAmountOfWhitespace()` Says whether amont of whitespaces must be ignored while comparing files.
`boolean` `isIgnoreEOLStyle()` Says whether eol style must be ignored while comparing files.
`void` `setIgnoreAllWhitespace(boolean isIgnoreAllWhitespace)` Sets whether all whitespaces must be ignored while comparing files.
`void` `setIgnoreAmountOfWhitespace(boolean isIgnoreAmountOfWhitespace)` Sets whether number of whitespaces must be ignored while comparing files.
`void` `setIgnoreEOLStyle(boolean isIgnoreEOLStyle)` Sets whether eol style must be ignored while comparing files.
`java.util.Collection` `toOptionsCollection()` Returns a collection containing diff options as `String` object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SVNDiffOptions

    public SVNDiffOptions()

Creates a new diff options object. Equivalent to `SVNDiffOptions(false, false, false)`.

#### SVNDiffOptions

    public SVNDiffOptions(boolean ignoreAllWhitespace,
                  boolean ignoreAmountOfWhiteSpace,
                  boolean ignoreEOLStyle)

Creates a new diff options object.

Parameters:
  `ignoreAllWhitespace` - controls whether whitespace differences must be ignored
  `ignoreAmountOfWhiteSpace` - controls whether number of whitespaces must be ignored
  `ignoreEOLStyle` - controls whether eol-marker differences must be ignored

### Method Detail

#### isIgnoreAllWhitespace

    public boolean isIgnoreAllWhitespace()

Says whether all whitespaces must be ignored while comparing files.

Returns:
  true if ignored, otherwise false

#### setIgnoreAllWhitespace

    public void setIgnoreAllWhitespace(boolean isIgnoreAllWhitespace)

Sets whether all whitespaces must be ignored while comparing files.

Parameters:
  `isIgnoreAllWhitespace` - controls whether whitespaces are to be ignored

#### isIgnoreAmountOfWhitespace

    public boolean isIgnoreAmountOfWhitespace()

Says whether amont of whitespaces must be ignored while comparing files.

Returns:
  true if ignored, otherwise false

#### setIgnoreAmountOfWhitespace

    public void setIgnoreAmountOfWhitespace(boolean isIgnoreAmountOfWhitespace)

Sets whether number of whitespaces must be ignored while comparing files.

Parameters:
  `isIgnoreAmountOfWhitespace` - controls whether number of whitespaces is to be ignored

#### isIgnoreEOLStyle

    public boolean isIgnoreEOLStyle()

Says whether eol style must be ignored while comparing files.

Returns:
  true if ignored, otherwise false

#### setIgnoreEOLStyle

    public void setIgnoreEOLStyle(boolean isIgnoreEOLStyle)

Sets whether eol style must be ignored while comparing files.

Parameters:
  `isIgnoreEOLStyle` - controls whether eol style is to be ignored

#### toOptionsCollection

    public java.util.Collection toOptionsCollection()

Returns a collection containing diff options as `String` object.

If `isIgnoreAllWhitespace()` is true, "-w" is added to the result. If `isIgnoreAmountOfWhitespace()` is true, "-b" is added to the result. If `isIgnoreEOLStyle()` is true, "--ignore-eol-style" is added to the result.

Returns:
  collection with `String` representations of diff options
Since:
  1.2.0